1

My LaTex distribution is MikTeX 2.9 and I am using TeXmaker. The LaTeX has been installed successfully and I have the deserving output for such test:

\documentclass[]{article}
\usepackage{amsmath}
\begin{document}
Matinking
\begin{equation}
    \phi + \psi = \chi
\end{equation}
\end{document}

But the problem is that there is no TikZ library within my distribution as I check the package Manager (Admin)... Even after the trying to find new updates, there is no TikZ among the offers.

I just tried to add \usepackage{tikz} to above code but a message box containing below error will be appeared:

The file required: tex\latex\ms\everyshi.sty is missing. It is part of the following packege: ms

The odd thing is that there is even no ms package among update offers!

How would I handle this?!...

Thanks in advance

1
  • The error looks strange. However the bundle might be named after pgf rather than tikz. May 19, 2015 at 13:44

2 Answers 2

2

The weird error just resolved by re-installing some packages:

ms + xcolor + mptopdf

Actually, update was not a cure for the problem, but the re-installing above target packages, could which be taken as prerequisites of TikZ into account, removed the issue.

Now calling \usepackage{tikz} is possible, safely.

0

I think you installed the basic package of MiKTeX. You have to integrate the package that miss with the integrated package manager. I don't use MiKTeX, but at this site I fond that.

http://docs.miktex.org/manual/pkgmgt.html

Good work.

1
  • 1
    No... That is one with the complete set of the packages... But the issue was from the other side, as I mentioned in the response...
    – User
    May 19, 2015 at 13:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.